//       1         2         3         4         5         6         7
// 4567890123456789012345678901234567890123456789012345678901234567890123456789

package graph;
// ----------------------------------------------------------------------------

/* Copyright (c) 2018 Lloyd Allison.

   Reference: 
     Lloyd Allison, "Coding Ockham's Razor", Springer, 2018.

   This file is free software: you can redistribute it and/or modify it
   under the terms of the GNU General Public License (GPL) as published
   by the Free Software Foundation, either version 3 of the License, or
   (at your option) any later version.

   This file is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this file. If not, see http://www.gnu.org/licenses/
 */
// ----------------------------------------------------------------------------

/** A Child Object can return the {@link #parent() parent} {@link Graph Graph}
    from which it is Derived or to which it is otherwise related.
    Note that a Child need not be a Graph, it can be a Vertex or an Edge or
    anything else at all. It just has a special relation to the Graph.
    Also see {@link Graph.SubGraph}.  */
public interface Child
 {
   /** Return the parent Graph of which 'this' is a Child. */
   public Graph parent();

 }//Child interface

// (c) Lloyd Allison, 23 July 2014. Licence to 'Child' is Gnu GPL.
