//       1         2         3         4         5         6         7
// 4567890123456789012345678901234567890123456789012345678901234567890123456789

package mml;

import la.la.Value;
// ----------------------------------------------------------------------------

/* Copyright (c) 2018 Lloyd Allison.

   Reference: 
     Lloyd Allison, "Coding Ockham's Razor", Springer, 2018.

   This file is free software: you can redistribute it and/or modify it
   under the terms of the GNU General Public License (GPL) as published
   by the Free Software Foundation, either version 3 of the License, or
   (at your option) any later version.

   This file is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this file. If not, see http://www.gnu.org/licenses/
 */
// ----------------------------------------------------------------------------

/** Implemented by a (fully parameterised) Model class that has a
    probability density function {@link #pdf}, and a {@link #nlPdf}.
    Class&nbsp;{@link ByPdf.M} does this, as may others. */
public interface HasPdf
 {
   /** pdf, the probability density function, as applied to a datum, d. */
   public double   pdf(Value d);                                    // * pdf(d)

   /** nlPdf, the negative log {@link #pdf pdf(d)}. */
   public double nlPdf(Value d);                                  // * nlPdf(d)

 }//HasPdf interface

// (c) Lloyd Allison, 2012, Tues 3 December 2013. Licence to HasPdf is Gnu GPL.
